﻿
.succes_cart {
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;
    width: 100%;
    max-width: 100%;
    min-height: 100%;
    padding: 0;

    .payment-status {
        margin: 0;
        padding: 24px;
        position: fixed;
        background: #fff;
        left: 40%;
        top: 25%;

       
    }
}
.succes_cart:before {
    content: "";
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    background: #cfcfcf;
    opacity:0.5
}

.close_succes {
   
    padding: 5px 15px;
    display: block;
    position: fixed;
    background: #ffd800;
    right: 0;
    top: 0;
    font-weight: bold;
    border-bottom-left-radius:5px;
    cursor:pointer
}





.counter-content a, .counter-minus a, .counter-plus a {
    display: inline-flex;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;
    color: #c4c4c4;
    font-size: 1em;
    transition: all .3s ease;
}
 .product-counter .counter-content, .product-counter .counter-minus,  .product-counter .counter-plus {
    flex: 1;
    display: inline-flex;
    height: 100%;
    align-items: center;
    justify-content: center;
    background: #f5f5f5;
    color: #c4c4c4;
}
@media only screen and (max-width:480px){
    .cart{
        display:block!important
    }
    .succes_cart {
        position: fixed;
        z-index: 999;
        top: 0;
        height: 100%;
      

        .payment-status {
            margin: 0;
            min-width: 100%;
            padding: 24px;
            height: 100%;
            left: 0;
            top: 0;
            overflow-y:auto;
            border-radius:0;



            .content p {
                padding: 5px 0;
                display: block;

                strong {
                    display: block;
                    width: 100%
                }

                span {
                    float: none !important
                }
            }
        }
    }
   
}
.cart {
    
/*   min-height:100vh;
*/    overflow: auto;
    display:none
}
.cart__item-list {
    min-height: 100%;
   
}
.cart__item-list .cart__item {
    width: 100%;
    background: #fff;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 10px;
    box-shadow: 0 0 4px #808080;
    border-radius: 2px;

    & .cart__item-image {
        flex: 1;
        justify-content: center;

        & a {
            display: block;
            width: 100%;
            height: 100%;
            position: relative;
            overflow: hidden;

            & img {
                position: absolute;
                top: 50%;
                left: 50%;
                transform: translate(-50%,-50%);
                height: 100%;
                width: 100%;
                object-fit: contain;
            }
        }
    }

    & .cart__item-description {
        flex: 2;
        padding-left: 1.2rem;
        position: relative;

        & .delete-cta-wrapper {
            position: absolute;
            top: -10px;
            right: 0;
            display: inline-flex;

            & .delete-cta {
                color: #a6a6a6;
                font-size: 1rem;
            }
        }

        & .product-title {
            font-size: 1.2em;
            color: #3f3f3f;
            transition: all .3s ease;
            -webkit-line-clamp: 1;
            -webkit-box-orient: vertical;
            overflow: hidden;
            display: -webkit-box;
            padding-right:10px
        }

        & .cart__item-box {
            flex: 1;
            display: flex;
            align-items: flex-end;
            justify-content: space-between;

            & .price-before {
                font-size: 1em;
                text-decoration: line-through;
                color: #a6a6a6;
                margin-bottom: 3px;
            }

            & .price-after {
                font-weight: 700;
                font-size: 1.2em;
                color: #f2405d;
                margin-bottom: 0;
             /*   line-height: 1;*/
            }

            & .product-counter {
                display: flex;
                align-items: center;
                border: 1px solid #e0e0e0;
                border-radius: 2px;
                overflow: hidden;
                height: 2em;
                margin-left: 2rem;
                width: 108px;

                & .counter-content {
                    flex: 1;
                    background: #fff;
                    color: red;
                    font-size: 1.2rem;
                   /* -webkit-line-clamp: 1;
                    -webkit-box-orient: vertical;
                    overflow: hidden;
                    display: -webkit-box;
                    width:100%*/
                }
            }
        }
    }
}

.cart__coupon {
    margin-top: 1rem;
    padding: 1.2rem;
    border-radius: 2px;
    background: #fff;

    & .cart__coupon-box {
        display: flex;

        & .input-wrapper {
            flex: 1;
            position: relative;

            & .input-wrapper__label {
                display: inline-flex;
                position: absolute;
                top: 50%;
                left: 1rem;
                transform: translateY(-50%);
                transition: all .2s ease;
                font-size: 1.2em;
                pointer-events: none;
                color: #3f3f3f;
                z-index: 1;
            }

            & .form-control {
                border-radius: 2px 0 0 2px;
                padding: 2rem 1.2rem;
                border-color: #d4d7d9;
                font-size: 1.2rem;
                color: transparent;
            }

            .form-control {
                display: block;
                width: 100%;
               
                padding:10px;
                font-size: 1rem;
                font-weight: 400;
                line-height: 1.5;
                color: #495057;
                background-color: #fff;
                background-clip: padding-box;
                border: 1px solid #ced4da;
             
                transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
            }
        }

        .button-red {
            background: #ed3324;
            color: #fff;
            transition: all .3s ease;
            border: none;
            display: inline-flex;
            align-items: center;
            justify-content: center;
        }
    }
}

.cart__total {
    margin-top: 0;
   

    .cart__total-box {
        margin-bottom: 0;
        padding: 0 1.2rem 1.2rem;
        background: #fff;
        border-radius: 2px;

        .cart__total-sub {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 1rem;
            padding-top: 1rem;
            color: #3f3f3f;
            font-weight: bold
        }

        .cart__total-promotion {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 4px;
            color: #f2405d;
            font-weight: bold
        }

        .cart__total-delivery {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding-bottom: 1rem;
            border-bottom: 1px solid #d4d7d9;
            font-weight: bold
        }
    }

    .cart__total-content {
        margin-top: 0;
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 0 1.2rem 1rem;
        background: #fff;
        font-weight: bold
    }

    .price-include-vat {
        font-size: 0.8em;
        color: #e95851;
        padding: 4px 12px;
        background: #fff;
        font-weight: bold
    }
}

.submit_cart{
    display:block;
    background:#c00000;
    padding:15px;
    text-align:center;
    font-weight:bold;
    color:#fff
    
    
}
.time_shiper{
    padding:10px 1.2rem;
    background:#fff
}
.time_shiper {
    padding: 10px 1.2rem;
    background: #fff;

    & input {
        border: 1px solid #ced4da;
        padding: 5px;
        display: block;
        width: 100%
    }

    & span {
        color: #3f3f3f;
        font-weight: bold;
    }
}
@media only screen and (max-width:480px){

    .swal2-title{
        font-size:0.8em
    }
    .swal2-styled {
        margin: .3125em;
        padding: 0.5rem 3rem;
        box-shadow: none;
        font-weight: 500;
    }
    .swal2-popup {
        padding:1rem 0
    }
    .shopcart-Empty h3 {
        font-size: 1.2em!important;
        color: #19191a;
        padding-top: 15px;
        line-height: 34px;
        text-align: center;
        font-weight: bold;
    }
    .shopcart-Empty h4 {
        text-align: center;
        font-size: 1em!important;
        padding-top: 10px;
        line-height: 24px;
    }
}
.shopcart-Empty {
    width: 100%;
    height: 100%;
    min-height:50vh;
    background: #f7f7f7;
    padding:25vh 0
}
.shopcart-Empty h3 {
    font-size: 26px;
    color: #19191a;
    padding-top: 15px;
    line-height: 34px;
    text-align: center;
    font-weight: bold;
}
.shopcart-Empty h4 {
    text-align: center;
    font-size: 14px;
    padding-top: 10px;
    line-height: 24px;
}
.cart_no_btnDd {
    text-align: center;

    .cart_no_btnBox {
        display: inline-block;

        .cart_no_btnMain {
            display: flex;

            .shopcart-empty-btn {
                height: 38px;
                line-height: 36px;
                font-size: 14px;
                font-weight: 400;
                border-radius: 2px;
                background: #fff;
                color: #616265;
                border: 1px solid #ccc;
                text-align: center;
                box-sizing: border-box;
                padding: 0 30px;
                display: inline-block;
                margin-top: 10px;
                -webkit-transition: all 0.3s ease;
                -moz-transition: all 0.3s ease;
                transition: all 0.3s ease;
            }

            .cartNo-empty-btn01 {
                margin-right: 10px;
                background: #c00000;
                color: #fff;
                border-color: #c00000;
            }

            a{
                width:auto!important
            }
        }
    }
}



@media only screen and (max-width:375px){
    .cart__item-list .cart__item .cart__item-description .cart__item-box .price-after {
        font-weight: 700;
        font-size: 1em;
        color: #f2405d;
        margin-bottom: 0;
      
    }
    .cart__item-list .cart__item .cart__item-description .cart__item-box .product-counter{
        width:85px;
        margin-left:1rem
    }
    .cart__item-list .cart__item .cart__item-description .product-title{
        font-size:1em
    }
   
}




